Bug 951070 - [NetKVM] Fix debug printouts line endings
Summary: [NetKVM] Fix debug printouts line endings
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Yan Vugenfirer
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-11 12:09 UTC by Yan Vugenfirer
Modified: 2013-12-06 07:45 UTC (History)
10 users (show)

(edit)
Cause: 
Some of the debug prints where printed out without line end.

Consequence: 
Cumbersome debug logs from the guest.

Fix: 
Add line end to debug prints.

Result: 
Clean debug logs from the driver.
Clone Of:
(edit)
Last Closed: 2013-11-22 00:08:23 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1729 normal SHIPPED_LIVE virtio-win bug fix and enhancement update 2013-11-21 00:39:25 UTC

Description Yan Vugenfirer 2013-04-11 12:09:13 UTC
Description of problem:

In some cases debug printout is "glued" because of lack of EOL.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 Mike Cao 2013-04-12 02:49:12 UTC
Pls provide how QE to test it ,

Thanks,
Mike

Comment 4 Mike Cao 2013-04-18 06:28:54 UTC
I think QE can use debug view to test this issue 
1.Start VM in the guest ,open debug view ,enable kernel debug
2.change netkvm macaddress in the guest (use a wrong macaddress)
3.check the output of debug view

Comment 5 Yan Vugenfirer 2013-04-18 07:46:07 UTC
Hello Mike,

The case you described is good enough.

Another test case:

Disable\enable the device.

Check that the output in DbgView is not "glued" to huge lines.

Best regards,
Yan.

Comment 6 lijin 2013-05-06 10:29:29 UTC
Reproduced this issue on virtio-win-prewhql-0.1-58
Verified this issue on virtio-win-prewhql-0.1-59

Steps:
1.boot a win7-32 guest with virtio-net-pci
2.open debug view in guest and enable kernel debug
3.Disable\enable the virtio-net-pci in Device Manager.

Actual Results:
on virtio-win-prewhql-0.1-58, printout of DbgView is "glued";
on virtio-win-prewhql-0.1-59 verion ,printout of DbgView is not "glued".

Based on above ,this issue has been fixed already .

Comment 7 Yan Vugenfirer 2013-05-06 10:38:58 UTC
Please move to verified according to comment #6.

Comment 8 Mike Cao 2013-05-06 10:53:09 UTC
Move status to VERIFIED according to comment #6

Comment 9 lijin 2013-05-07 02:17:22 UTC
(In reply to comment #6)
> Reproduced this issue on virtio-win-prewhql-0.1-58
> Verified this issue on virtio-win-prewhql-0.1-59
> 
> Steps:
> 1.boot a win7-32 guest with virtio-net-pci
> 2.open debug view in guest and enable kernel debug
> 3.Disable\enable the virtio-net-pci in Device Manager.
> 
> Actual Results:
> on virtio-win-prewhql-0.1-58, printout of DbgView is "glued";
  One detail example:during disable/enable,one of the debug information display as following:
00000498	2:08:22.281 AM	[ConfigureMSIXVectors] Using message 1 for TX queue[ConfigureMSIXVectors] Using message 2 for controls[ApplyOffloadConfiguration] Requested: V4:IPCS=TxRx,TCPCS=TxRx,UDPCS=TxRx V6:TCPCS=TxRx,UDPCS=TxRx[SetOffloadField] IN TxIPChecksum TX: current=1 Supported TxRx Requested TxRx[SetOffloadField] OUT TxIPChecksum TX: new=1 (accepted)[SetOffloadField] IN TxTCPChecksum TX: current=1 Supported TxRx Requested TxRx[SetOffloadField] OUT TxTCPChecksum TX: new=1 (accepted)[SetOffloadField] IN TxUDPChecksum TX: current=1 Supported TxRx Requested TxRx[SetOffloadField] OUT TxUDPChecksum TX: new=1 (accepted)[SetOffloadField] IN RxIPChecksum RX: current=1 Supported TxRx Requested TxRx[SetOffloadField] OUT RxIPChecksum RX: new=1 (accepted)[SetOffloadField] IN RxTCPChecksum RX: current=1 Supported TxRx Requested TxRx[SetOffloadField] OUT RxTCPChecksum RX: new=1 (accepted)[SetOffloadField] IN RxUDPChecksum RX: current=1 Supported TxRx Requested TxRx
 
> on virtio-win-prewhql-0.1-59 verion ,printout of DbgView is not "glued".
  printout is seperated,the message displays as following:
00000181	2:11:20.500 AM	[ConfigureMSIXVectors] Using MSIX interrupts (3 messages, irql 10)	
00000182	2:11:20.500 AM	[ConfigureMSIXVectors] MSIX message0=000049B0=>FEE0300C	
00000183	2:11:20.500 AM	[ConfigureMSIXVectors] MSIX message1=000049A0=>FEE0300C	
00000184	2:11:20.500 AM	[ConfigureMSIXVectors] MSIX message2=00004990=>FEE0300C	
00000185	2:11:20.500 AM	[ConfigureMSIXVectors] Using message 0 for RX queue	
00000186	2:11:20.500 AM	[ConfigureMSIXVectors] Using message 1 for TX queue	
00000187	2:11:20.500 AM	[ConfigureMSIXVectors] Using message 2 for controls	
00000188	2:11:20.500 AM	[ApplyOffloadConfiguration] Requested: V4:IPCS=TxRx,TCPCS=TxRx,UDPCS=TxRx V6:TCPCS=TxRx,UDPCS=TxRx	
00000189	2:11:20.500 AM	[SetOffloadField] IN TxIPChecksum TX: current=-1 Supported TxRx Requested TxRx	
00000190	2:11:20.500 AM	[SetOffloadField] OUT TxIPChecksum TX: new=1 (accepted)	
00000191	2:11:20.500 AM	[SetOffloadField] IN TxTCPChecksum TX: current=-1 Supported TxRx Requested TxRx	
00000192	2:11:20.500 AM	[SetOffloadField] OUT TxTCPChecksum TX: new=1 (accepted)	
00000193	2:11:20.500 AM	[SetOffloadField] IN TxUDPChecksum TX: current=-1 Supported TxRx Requested TxRx	
00000194	2:11:20.500 AM	[SetOffloadField] OUT TxUDPChecksum TX: new=1 (accepted)	
00000195	2:11:20.500 AM	[SetOffloadField] IN RxIPChecksum RX: current=-1 Supported TxRx Requested TxRx	
00000196	2:11:20.500 AM	[SetOffloadField] OUT RxIPChecksum RX: new=1 (accepted)	
00000197	2:11:20.500 AM	[SetOffloadField] IN RxTCPChecksum RX: current=-1 Supported TxRx Requested TxRx	
00000198	2:11:20.500 AM	[SetOffloadField] OUT RxTCPChecksum RX: new=1 (accepted)	
00000199	2:11:20.500 AM	[SetOffloadField] IN RxUDPChecksum RX: current=-1 Supported TxRx Requested TxRx	
00000200	2:11:20.500 AM	[SetOffloadField] OUT RxUDPChecksum RX: new=1 (accepted)	
00000201	2:11:20.500 AM	[SetOffloadField] IN TxTCPv6Checksum TX: current=-1 Supported TxRx Requested TxRx	
00000202	2:11:20.500 AM	[SetOffloadField] OUT TxTCPv6Checksum TX: new=1 (accepted)	
00000203	2:11:20.500 AM	[SetOffloadField] IN TxUDPv6Checksum TX: current=-1 Supported TxRx Requested TxRx	
00000204	2:11:20.500 AM	[SetOffloadField] OUT TxUDPv6Checksum TX: new=1 (accepted)	
00000205	2:11:20.500 AM	[SetOffloadField] IN RxTCPv6Checksum RX: current=-1 Supported TxRx Requested TxRx	
00000206	2:11:20.500 AM	[SetOffloadField] OUT RxTCPv6Checksum RX: new=1 (accepted)	
00000207	2:11:20.500 AM	[SetOffloadField] IN RxUDPv6Checksum RX: current=-1 Supported TxRx Requested TxRx


> Based on above ,this issue has been fixed already .

Comment 15 errata-xmlrpc 2013-11-22 00:08:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1729.html


Note You need to log in before you can comment on or make changes to this bug.